<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Oeffentlich\AccessDenied;

class AccessDeniedPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new AccessDeniedView($this->getViewModel());
  }

  protected function getViewModel()
  {
    return new AccessDeniedViewModel();
  }

  public function setRequestHeader()
  {
    http_response_code(401);
    parent::setRequestHeader();
  }
}